/*
 * SurpacStyleContainer.h
 *
 *  Created on: 19.12.2013
 *      Author: Georg Semmler
 */
#ifndef SURPACSTYLECONTAINER_H_
#define SURPACSTYLECONTAINER_H_
#include <boost/unordered_map.hpp>
#include <Parsers/SurpacStyle.h>
#include <Parsers/Color.h>
#include <string.h>

namespace GST {
namespace Parsers {

		class SurpacStyleContainer {
				boost::unordered_map<int, GST::Parsers::SurpacStyle> stringStyles;
				boost::unordered_map<int, GST::Parsers::SurpacStyle> triangleStyles;
			public:
				SurpacStyleContainer();
				void init(std::string textToParse);
				Color getLineColor(int id);
				Color getTriangleColor(int id);
				void setDefaults();
		};

	} /* namespace Parsers */
} /* namespace GST */

#endif /* SURPACSTYLECONTAINER_H_ */
